Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## main.verarbeitung
Class Verarbeitung

    java.lang.Object
      |
      +--main.verarbeitung.Verarbeitung

public class Verarbeitung
extends java.lang.Object

Die Klasse Verarbeitung sucht einen Weg von Rösselsprüngen in der angegebenen Matrix. Dazu wird die Matrix übergeben, in der die einzelnen Schritte gespeichert werden.
Hier ist der Kernalgorithmus des Programms zu finden, der das Problem löst.

Version:
  $Revision: 1.17 $
Author:
  Simon Tiffert

Field Summary
`private Matrix` | `matrix` Feld für Matrix

Constructor Summary
`Verarbeitung(Matrix matrix)` Der Konstruktor speichert die Matrix und ruft die Rösselsprünge auf.

Method Summary
`private boolean` | `roesselSprung(int zaehler, int y, int x)` Diese Funktion führt das Backtracking durch.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### matrix

    private Matrix matrix

  Feld für Matrix

Constructor Detail

### Verarbeitung

    public Verarbeitung(Matrix matrix)
                 throws MatrixNotInitialisedException

  Der Konstruktor speichert die Matrix und ruft die Rösselsprünge auf. Dabei wird abgefangen, ob die Rekursion erfolgreich war und ein Weg gefunden wurde.

Parameters:
  `matrix` - Zentrale Datenstruktur mit Matrix
Throws:
  `MatrixNotInitialisedException` - Matrix nicht initialisiert

Method Detail

### roesselSprung

    private boolean roesselSprung(int zaehler,
                                  int y,
                                  int x)

  Diese Funktion führt das Backtracking durch. Dabei wird über Rösselsprünge festgelegt, in welchen Richtungen das nächste Feld gesucht wird.

  Parameters:
    `zaehler` - Rekursionstiefe sowie aktuelle Sprunganzahl
    `y` - y-Wert der aktuellen Position
    `x` - x-Wert der aktuellen Position
  Returns:
    ob die Rekursion erfolgreich war

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD